Bug 3981 - Build on AIX gets TOC Overflow
Build on AIX gets TOC Overflow
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.23a
PPC AIX
: P3 normal
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-31 14:35 UTC by Mark D. McBride
Modified: 2007-04-03 23:19 UTC (History)
0 users

See Also:


Attachments
Fix TOC in shared objects on AIX (402 bytes, patch)
2006-08-06 10:58 UTC, William Jojo
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark D. McBride 2006-07-31 14:35:07 UTC
Configured with:

env CC="gcc -D_LINUX_SOURCE_COMPAT" \
CPPFLAGS="-I/usr/local/include" \
LDFLAGS="-L/usr/local/lib -lcrypto -lssl -lsasl2" \
./configure --with-acl-support --with-utmp \
--with-ldap --with-krb5=/usr/local \
--with-libiconv=/usr/local --with-sendfile-support \
--prefix=/usr/local/samba --with-syslog --with-quotas

gcc version 3.3.2 on AIX 5.3

Error list from make.

Linking libsmbclient shared library bin/libsmbclient.so
ld: 0711-781 ERROR: TOC overflow. TOC size: 72740       Maximum size: 65536
collect2: ld returned 12 exit status
make: *** [bin/libsmbclient.so] Error 1

What do I do to get around this error?
Comment 1 William Jojo 2006-08-06 10:58:06 UTC
Created attachment 2086 [details]
Fix TOC in shared objects on AIX
Comment 2 Mark D. McBride 2006-08-07 09:41:52 UTC
I still get the same error after the change!

Is there something I'm missing?

mark
Comment 3 Mark D. McBride 2006-08-07 13:08:53 UTC
I notice that the ./configure file also has those variables defined. How do I get the configure.in changes into the ./configure?
Comment 4 Gerald (Jerry) Carter 2006-08-07 13:16:22 UTC
run ./autogen.sh to rebuild ./configure
Comment 5 Mark D. McBride 2006-08-07 13:47:04 UTC
That did it.

Thanks!

mark
Comment 6 Gerald (Jerry) Carter 2006-08-07 13:50:15 UTC
Reopening....not fixed until the patch is aplpied to the tree....
Comment 7 William Jojo 2006-08-07 19:10:24 UTC
(In reply to comment #2)
> I still get the same error after the change!
> Is there something I'm missing?
> mark

After you apply the patch, you need to make distclean and re-run autogen.sh


Bill
Comment 8 Gerald (Jerry) Carter 2007-04-03 23:19:38 UTC
closing....